## qscintilla2 2.4.3

=== debian/changelog ===
qscintilla2 (2.4.3-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - Changelog is not distributed any more, don't try to install

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:17:14 +0200

qscintilla2 (2.4.2-3) unstable; urgency=low

  * Fix dependencies of libqscintilla2-dev (Closes: #568217)

 -- Torsten Marek <shlomme@debian.org>  Wed, 03 Feb 2010 09:01:40 +0100

qscintilla2 (2.4.2-2) unstable; urgency=low

  * Upload to unstable. (Closes: #567220)
  * debian/control
    - Change priority from extra to optional (Closes: #563198)
    - Bumped standards version to 3.8.4, no changes necessary
  * debian/rules
    - Make sure stripping is handled by dh_strip (Closes: #560395)

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 22:50:52 +0100

qscintilla2 (2.4.2-1) experimental; urgency=low

  * New upstream release
  * Convered to source format "3.0 (quilt)"
  * debian/control
    - Dropped build dependency on dpatch
    - Added ${sip:Depends} to dependencies of python-qscintilla2
    - Fixed lintian warning for libqscintilla2-dev dependencies
  * debian/patches/*
    - Converted all patches to quilt
  * debian/rules
    - Reorder rules to make safe for parallel builds
    - Removed dpatch handling and workarounds
    - Added call to dh_sip

 -- Torsten Marek <shlomme@debian.org>  Wed, 27 Jan 2010 22:49:13 +0100

qscintilla2 (2.4-5) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * Rebuilt (Closes: #550570)
  * Add fields to the copyright file, Thanks to Mathieu Parent
    (Closes: #516122)
  * Ask debian release for binNMU (Closes: #541379)
  * Change libqscintilla2-dev dependency to ${source:Version}
    removes lintian error
  * Add README.source file

  [ Torsten Marek ]
  * debian/control
    - Added Gudjon to Uploaders
  * debian/watch
    - Fixed watch file to check on download page

 -- Torsten Marek <shlomme@debian.org>  Sat, 28 Nov 2009 15:39:15 +0100

qscintilla2 (2.4-4) unstable; urgency=low

  * Rebuilt against new sip
  * debian/control
    - Bumped standards version to 3.8.3, no changes necessary
    - Update sip dependency to 4.9 and PyQt4 dependencies to 4.6

 -- Torsten Marek <shlomme@debian.org>  Wed, 14 Oct 2009 19:47:54 +0200

qscintilla2 (2.4-3) unstable; urgency=low

  * Upload rebuilt packages
  * Fixes segfault on import

 -- Torsten Marek <shlomme@debian.org>  Sat, 20 Jun 2009 12:11:11 +0200

qscintilla2 (2.4-2) unstable; urgency=low

  * Upload to unstable
  * debian/control
    - Bump dependencies on sip to 4.8.1
    - Depend on python-qt4 4.5.1

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:46:57 +0200

qscintilla2 (2.4-1) experimental; urgency=low

  * New upstream release
  * Switch to python-support
  * debian/control
    - Updated all sip dependencies to 4.8
    - Bumped standards version to 3.8.1, no changes necessary
    - Updated PyQt dependencies to 4.5
  * debian/python-qscintilla2.install
    - Update install paths for Python 2.6 (Closes: #531847)

 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 20:28:51 +0200

qscintilla2 (2.3.2-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - bump build dependency to sip 4.7.9 and python-qt4 4.4.4
    - add build dependency on python-sip4 (Closes: #453895)
    - upstream SONAME bump, renamed library package to
      libqscintilla2-5, replaces libqscintilla2-3 because
      of translation files in library package

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 22:14:17 +0100

qscintilla2 (2.2-4) unstable; urgency=low

  * debian/control
    - tighten build dependencies on sip 4.7.6

 -- Torsten Marek <shlomme@debian.org>  Thu, 12 Jun 2008 14:24:04 +0200

qscintilla2 (2.2-3) unstable; urgency=low

  * Rebuild with PyQt 4.4.2 and sip 4.7.6
  * debian/control
    - bumped python-qt4 dependencies to 4.4.2
    - bumped standards version to 3.8.0, no changes necessary

 -- Torsten Marek <shlomme@debian.org>  Wed, 11 Jun 2008 23:34:44 +0200

qscintilla2 (2.2-2) unstable; urgency=low

  * New upload to trigger a rebuild on all architectures.
  * debian/control
    - Build-depend on newest PyQt4 revision 4.3.3-3
    - python-qscintilla2 depends on newest PyQt4 revision

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:55:13 +0100

qscintilla2 (2.2-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.7.3, no changes necessary.
  * Fixed regex in debian/watch file.

 -- Torsten Marek <shlomme@debian.org>  Fri, 21 Mar 2008 21:38:44 +0100

qscintilla2 (2.1+snapshot20070923-1) unstable; urgency=low

  * Initial upload (Closes: #435151)

 -- Torsten Marek <shlomme@debian.org>  Sun, 30 Sep 2007 14:23:18 +0200
