=== debian/control ===
Source: qscintilla2
Priority: optional
Maintainer: Torsten Marek <shlomme@debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev, python-support (>= 0.9), python-sip-dev (>= 4.10), python-qt4 (>= 4.7), python-qt4-dev (>= 4.7)
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.riverbankcomputing.co.uk/qscintilla/index.php

Package: libqscintilla2-5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqscintilla2-3
Description: The Qt4 port of the Scintilla source code editing widget
 QScintilla is a text editor for Qt4 with features especially useful when 
 writing and debugging source code. These include support for syntax 
 styling, error indicators, code completion, call tips and margins. 
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.

Package: libqscintilla2-designer
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: qt4-designer
Description: Qt4 Designer plugin for QScintilla 2
 QScintilla is a text editor for Qt4 with features especially useful when 
 writing and debugging source code. These include support for syntax 
 styling, error indicators, code completion, call tips and margins. 
 . 
 This package contains a plugin to use the QScintilla 2 widget in the 
 Qt4 UI Designer.

Package: libqscintilla2-dev
Section: libdevel
Architecture: all
Depends: libqscintilla2-5 (>= ${source:Upstream-Version}), libqscintilla2-5 (<< ${source:Upstream-Version}+1~), libqt4-dev, ${misc:Depends}
Description: The Scintilla source code editing widget for Qt4, development files
 QScintilla is a text editor for Qt4 with features especially useful when 
 writing and debugging source code. These include support for syntax 
 styling, error indicators, code completion, call tips and margins. 
 .
 This package contains development headers needed when developing 
 C++ applications that use QScintilla 2.

Package: libqscintilla2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for QScintilla 2
 QScintilla is a text editor for Qt4 with features especially useful when 
 writing and debugging source code. These include support for syntax 
 styling, error indicators, code completion, call tips and margins. 
 . 
 This package contains API documentation and usage examples for QScintilla 2.

Package: python-qscintilla2
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, python-qt4 (>= 4.7), ${sip:Depends}, ${misc:Depends}
Description: Python bindings for QScintilla 2
 QScintilla is a text editor for Qt4 with features especially useful when 
 writing and debugging source code. These include support for syntax 
 styling, error indicators, code completion, call tips and margins. 
 . 
 This package contains Python bindings so QScintilla 2 can be used in
 PyQt4 applications.
