=== debian/watch ===
#      /static/Downloads/QScintilla2/QScintilla-gpl-(.*)\.tar\.gz

version=3
http://www.riverbankcomputing.com/software/qscintilla/download \
 /static/Downloads/QScintilla2/QScintilla-gpl-([\d\.]+)\.tar\.gz debian uupdate
