## qscintilla2 2.4.4

=== debian/changelog ===
qscintilla2 (2.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Jul 2010 15:15:16 +0100
