=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qscintilla2
 Priority: optional
-Maintainer: Torsten Marek <shlomme@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Marek <shlomme@debian.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev, python-support (>= 0.9), python-sip-dev (>= 4.10), python-qt4 (>= 4.7), python-qt4-dev (>= 4.7)
 Standards-Version: 3.8.4
