## qscintilla2 2.4.5

=== debian/changelog ===
qscintilla2 (2.4.5-1ubuntu1) oneiric; urgency=low

  * Fix libqscintilla2-designer.install paths for multiarch (LP: #829429)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 20 Aug 2011 15:22:43 -0400

qscintilla2 (2.4.5-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Switch to dh_python2 (Closes: #634861)

  [ Scott Kitterman ]
  * New upstream release
  * Agreed maintainer change to DPMT
  * Add myself to uploaders

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 10:06:11 -0400

qscintilla2 (2.4.3-2) unstable; urgency=low

  * Rebuilding (Closes: #619096)
  * Remove dpatch references from patches
  * Remove README.source file (Closes: #618983)
  * Bump standards version to 3.9.1
  * Remove unneded Section: in control file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 31 Mar 2011 08:44:12 +0200
