=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: qscintilla2
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Torsten Marek <shlomme@debian.org>
-Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev, python-support (>= 0.9), python-sip-dev (>= 4.10), python-qt4 (>= 4.7), python-qt4-dev (>= 4.7)
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Torsten Marek <shlomme@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>, Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.riverbankcomputing.co.uk/qscintilla/index.php
 
 Package: libqscintilla2-5
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libqscintilla2-3
@@ -61,7 +60,7 @@
 Package: python-qscintilla2
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, python-qt4 (>= 4.7), ${sip:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, python-qt4 (>= 4.8.3-3~), ${sip:Depends}, ${misc:Depends}
 Description: Python bindings for QScintilla 2
  QScintilla is a text editor for Qt4 with features especially useful when 
  writing and debugging source code. These include support for syntax
