=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_pysupport
+	dh_python2
 	dh_sip
 	dh_makeshlibs
 	dh_installdeb
