## qscintilla2 2.6

=== debian/changelog ===
qscintilla2 (2.6-3) unstable; urgency=high

  * Readd libqscintilla2-5 to libqscintilla2-8 Replaces to support upgrades
    from squeeze

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 Nov 2011 22:12:23 -0500

qscintilla2 (2.6-2) unstable; urgency=low

  * Drop symbols file for the moment due to per-arch symbol differences
    causing FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Nov 2011 09:29:47 -0500

qscintilla2 (2.6-1) unstable; urgency=low

  * New upstream release with updated ABI
    - Change libqscintilla2-6 to libqscintilla2-8 for new ABI and adjust
      internal depends
    - Rename libqscintilla2-6.install to libqscintilla2-8.install
    - Adjust libqscintilla2-dev depends
    - Updated debian/copyright
  * Added symbols file for libqscintilla2-8 (libqscintilla2-8.symbols)
  * Add missing build-arch/build-indep targets
  * Remove empty /usr/share/pyshared/ directory from python-qscintilla2
  * Fix upstream homepage
  * Improve libqscintilla2-8 and libqscintilla2-dev short descriptions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 16 Nov 2011 01:03:39 -0500

qscintilla2 (2.5.1-1) unstable; urgency=low

  * New upstream release with updated ABI (Closes: #638209)
    - Change libqscintilla2-5 to libqscintilla2-6 for new ABI and adjust
      internal depends
    - Rename libqscintilla2-5.install to libqscintilla2-6.install
  * Add DPMT Vcs-* fields
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 13:15:31 -0400
