=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: qscintilla2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
-Homepage: http://www.riverbankcomputing.co.uk/qscintilla/index.php
+Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/qscintilla2/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/qscintilla2/trunk/
 
-Package: libqscintilla2-5
+Package: libqscintilla2-8
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libqscintilla2-3
-Description: The Qt4 port of the Scintilla source code editing widget
+Replaces: libqscintilla2-5, libqscintilla2-6
+Description: Qt4 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt4 with features especially useful when 
  writing and debugging source code. These include support for syntax 
  styling, error indicators, code completion, call tips and margins. 
@@ -37,8 +38,8 @@
 Package: libqscintilla2-dev
 Section: libdevel
 Architecture: all
-Depends: libqscintilla2-5 (>= ${source:Upstream-Version}), libqscintilla2-5 (<< ${source:Upstream-Version}+1~), libqt4-dev, ${misc:Depends}
-Description: The Scintilla source code editing widget for Qt4, development files
+Depends: libqscintilla2-8 (>= ${source:Upstream-Version}), libqscintilla2-8 (<< ${source:Upstream-Version}+1~), libqt4-dev, ${misc:Depends}
+Description: Scintilla source code editing widget for Qt4, development files
  QScintilla is a text editor for Qt4 with features especially useful when 
  writing and debugging source code. These include support for syntax 
  styling, error indicators, code completion, call tips and margins.
