=== debian/rules ===
--- 
+++ 
@@ -37,12 +37,16 @@
 	cd designer-Qt4 && $(MAKE)
 	touch $@
 
-build: build-library-stamp $(PYTHONS:%=Python/build-%/build-stamp)
+build: build-arch build-indep
+build-arch: build-library-stamp $(PYTHONS:%=Python/build-%/build-stamp)
 
 Python/build-%/build-stamp: Python/build-%/configure-stamp build-library-stamp
 	dh_testdir
 	$(MAKE) -C Python/build-$*
 	touch $@
+
+build-indep: build-stamp
+build-stamp:
 
 clean:
 	dh_testdir
@@ -82,6 +86,7 @@
 	dh_compress
 	dh_fixperms
 	dh_python2
+	rm -rf $(CURDIR)/debian/python-qscintilla2/usr/share/pyshared
 	dh_sip
 	dh_makeshlibs
 	dh_installdeb
