## qscintilla2 2.6.1

=== debian/changelog ===
qscintilla2 (2.6.1-4) experimental; urgency=low

  [ Thomas Kluyver ]
  * Package for Python 3 (LP: #608962)

  [ Scott Kitterman ]
  * Use Python policy compliant binary name for Python 3 (python3-pyqt4.qsci)
  * Remove pointless Build-depends and Depends versioning
  * Fix debian/rules to build for all python3 variants, not just the default
  * Use dh_sip3 for python3-pyqt4.qsci, not dh_sip
  * Drop incorrect Multi-Arch: same for libqscintilla2-8

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Mar 2012 22:19:28 -0400

qscintilla2 (2.6.1-3) experimental; urgency=low

  * Re-upload due to broken -2 attempt

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Mar 2012 13:27:00 -0500

qscintilla2 (2.6.1-2) experimental; urgency=low

  * Update for multi-arch
    - Fix libqscintilla2-designer.install paths for multiarch
    - Bump version requirement for debhelper and add minumum version for
      libqt4-dev
    - For libqscintilla2-8, add misc:Pre-Depends and set Multi-Arch: same
  * Set compat to 8
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Mar 2012 02:52:05 -0500

qscintilla2 (2.6.1-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/snapshot-keys.patch as it was cherrypicked from
      upstream to start with
    - Refresh remaining patches
  * Add libqscintilla2-8 Breaks previous versions of the library since they
    aren't completely co-installable
  * Install NEWS file as upstream changelog

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:01:43 -0500

qscintilla2 (2.6-4) unstable; urgency=low

  * Add debian/patches/snapshot-keys.patch to fix custom keyboard shortcuts
    (Closes: #659356)
  * Add libjs-jquery to libqscintilla2-doc depends and use symlink to its
    jquery.js instead of the embedded minified version

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Feb 2012 23:00:05 -0500
