=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.1), libqt4-dev, python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3~), libqt4-dev (>= 4:4.8.0~), python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~), python3-all-dev (>= 3.1.3-13~), python3-sip-dev, python3-pyqt4
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/qscintilla2/trunk/
@@ -12,7 +12,9 @@
 Package: libqscintilla2-8
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Replaces: libqscintilla2-5, libqscintilla2-6
+Breaks: libqscintilla2-5, libqscintilla2-6
 Description: Qt4 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt4 with features especially useful when 
  writing and debugging source code. These include support for syntax 
@@ -50,7 +52,7 @@
 Package: libqscintilla2-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Description: API documentation for QScintilla 2
  QScintilla is a text editor for Qt4 with features especially useful when 
  writing and debugging source code. These include support for syntax 
@@ -69,3 +71,15 @@
  . 
  This package contains Python bindings so QScintilla 2 can be used in
  PyQt4 applications.
+
+Package: python3-pyqt4.qsci
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, python3-pyqt4, ${sip3:Depends}, ${misc:Depends}
+Description: Python 3 bindings for QScintilla 2
+ QScintilla is a text editor for Qt4 with features especially useful when 
+ writing and debugging source code. These include support for syntax 
+ styling, error indicators, code completion, call tips and margins. 
+ . 
+ This package contains Python 3 bindings so QScintilla 2 can be used in
+ PyQt4 applications.
