=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	CXXFLAGS += -O2
 endif
 
-PYTHONS := $(shell pyversions -vr debian/control)
+PYTHONS := $(shell pyversions -vr debian/control) $(shell py3versions -vr)
 
 configure-stamp:
 	dh_testdir
@@ -78,16 +78,18 @@
 	dh_testroot
 	dh_installman
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
-	dh_installchangelogs
-	dh_installdocs -A NEWS
+	dh_installchangelogs NEWS
+	dh_installdocs -A
 	dh_installexamples
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_python2
+	dh_python3
 	rm -rf $(CURDIR)/debian/python-qscintilla2/usr/share/pyshared
 	dh_sip
+	dh_sip3
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
