## qscintilla2 2.6.2

=== debian/changelog ===
qscintilla2 (2.6.2-2) unstable; urgency=low

  * Upload to Unstable (Closes: #681107)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Sep 2012 15:29:21 -0400

qscintilla2 (2.6.2-1) experimental; urgency=low

  * New upstream release
    - Update debian rules for new directory naming Qt4/Qt4Qt5
    - Update debian/libqscintilla2-doc.docs, libqscintilla2-doc.doc-base.api,
      and libqscintilla2-doc.examples for new documentation and examples
      directory names
    - Refresh patches
    - Update debian/copyright
  * Add missing X-Python3-Version to specify Python 3.1 as minimum Python 3

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jul 2012 01:17:03 -0400

qscintilla2 (2.6.1-5) unstable; urgency=low

  * Upload to unstable for qt4-x11 multiarch transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 May 2012 21:27:32 -0400
