=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 8.1.3~), libqt4-dev (>= 4:4.8.0~), python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~), python3-all-dev (>= 3.1.3-13~), python3-sip-dev, python3-pyqt4
 Standards-Version: 3.9.3
 Section: libs
+X-Python3-Version: >= 3.1
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/qscintilla2/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/qscintilla2/trunk/
