=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 configure-stamp:
 	dh_testdir
-	cd Qt4 && qmake-qt4 QMAKE_STRIP=""
-	cd designer-Qt4 && qmake-qt4 INCLUDEPATH+=../Qt4 QMAKE_LIBDIR+=../Qt4 QMAKE_STRIP=""
+	cd Qt4Qt5 && qmake-qt4 QMAKE_STRIP=""
+	cd designer-Qt4 && qmake-qt4 INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 QMAKE_STRIP=""
 	touch $@
 
 configure: configure-stamp $(PYTHONS:%=Python/build-%/configure-stamp)
@@ -28,12 +28,12 @@
 	dh_testdir
 	mkdir -p Python/build-$*
 	cd Python/build-$* \
-		&& python$* ../configure.py -n ../../Qt4/ -o ../../Qt4 -c -p 4
+		&& python$* ../configure.py -n ../../Qt4Qt5/ -o ../../Qt4Qt5 -c -p 4
 	touch $@
 
 build-library-stamp: configure
 	dh_testdir
-	cd Qt4 && $(MAKE)
+	cd Qt4Qt5 && $(MAKE)
 	cd designer-Qt4 && $(MAKE)
 	touch $@
 
@@ -51,7 +51,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-cd Qt4 && $(MAKE) distclean
+	-cd Qt4Qt5 && $(MAKE) distclean
 	-cd designer-Qt4 && $(MAKE) distclean
 
 	rm -fr $(PYTHONS:%=Python/build-%)
@@ -67,7 +67,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	cd Qt4 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
+	cd Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	cd designer-Qt4 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	for p in $(PYTHONS) ; do \
                 $(MAKE) -f debian/rules install-python-$$p;\
