## qscintilla2 2.7

=== debian/changelog ===
qscintilla2 (2.7-1) experimental; urgency=low

  [ Scott Kitterman ]
  * New upstream release
    - Update for new SO name (rename libqscintilla2-8 to libqscintilla2-9)
    - Update debian/copyright
  * Add symbols file for libqscintilla2-9
  * Move translations for libqscintilla2 to a separate binary,
    libqscintilla2-translations, so that the library itself is
    co-installable with other versions
  * Update debian/rules to use dpkg-buildflags
  * Bump compat and debhelper version requirement to 9
  * Bump standards version to 3.9.4 without further change

  [ Matthias Klose ]
  * Fix installation of multiple python3 extensions.

  [ Bart Martens ]
  * Updated debian/watch file

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Dec 2012 00:29:31 -0500

qscintilla2 (2.6.2-3) experimental; urgency=low

  * Rebuild in experimental with new sip4

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2012 23:29:40 -0400
