=== debian/watch ===
version=3
http://www.riverbankcomputing.co.uk/software/pyqt/download .*/PyQt-x11-gpl-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 17:55:27 +0000
