## qscintilla2 2.7.1

=== debian/changelog ===
qscintilla2 (2.7.1-0ubuntu1) raring; urgency=low

  * New upstream release
    - Refresh patches
    - Update debian/patches/configure.py-objdir-support.diff for upstream
      Python/configure.py changes
    - Update debian/rules to work with new Qt4/Qt5 dirctory naming and removal
      of Qt3 support
    - Update debian/rules and add debian/patches/py_conf_inc_dir.diff to get
      new configure.py script to work with Python multia-arch header locations
  * Drop symbols file for now until it is reliable

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Mar 2013 13:02:32 -0500

qscintilla2 (2.7-2) experimental; urgency=low

  * Update symbols files for new upstream version

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Feb 2013 17:39:06 -0500
