=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,17 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
-
+CPPFLAGS=
+CXXFLAGS=
+LDFLAGS=
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g
 	CXXFLAGS += -O0
 else
-	CFLAGS += -O2
-	CXXFLAGS += -O2
+	CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+	CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+	CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
+	LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 endif
 
 PYTHONS := $(shell pyversions -vr debian/control) $(shell py3versions -vr)
@@ -19,7 +23,7 @@
 configure-stamp:
 	dh_testdir
 	cd Qt4Qt5 && qmake-qt4 QMAKE_STRIP=""
-	cd designer-Qt4 && qmake-qt4 INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 QMAKE_STRIP=""
+	cd designer-Qt4Qt5 && qmake-qt4 INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 QMAKE_STRIP=""
 	touch $@
 
 configure: configure-stamp $(PYTHONS:%=Python/build-%/configure-stamp)
@@ -28,13 +32,15 @@
 	dh_testdir
 	mkdir -p Python/build-$*
 	cd Python/build-$* \
-		&& python$* ../configure.py -n ../../Qt4Qt5/ -o ../../Qt4Qt5 -c -p 4
+		&& python$* ../configure.py -n ../../Qt4Qt5/ -o ../../Qt4Qt5 \
+		--sip-incdir=/usr/include/python$* -c \
+		--destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4
 	touch $@
 
 build-library-stamp: configure
 	dh_testdir
 	cd Qt4Qt5 && $(MAKE)
-	cd designer-Qt4 && $(MAKE)
+	cd designer-Qt4Qt5 && $(MAKE)
 	touch $@
 
 build: build-arch build-indep
@@ -52,7 +58,7 @@
 	dh_testdir
 	dh_testroot
 	-cd Qt4Qt5 && $(MAKE) distclean
-	-cd designer-Qt4 && $(MAKE) distclean
+	-cd designer-Qt4Qt5 && $(MAKE) distclean
 
 	rm -fr $(PYTHONS:%=Python/build-%)
 	rm -f *-stamp
@@ -61,6 +67,13 @@
 
 install-python-%: 
 	$(MAKE) -C Python/build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+	case "$*" in 3*) \
+	  ABITAG=`python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; \
+          for f in `find debian/tmp/usr/lib/python3* -name '*.so' ! -name '*.cpython*.so'`; do \
+            mv $$f $${f%.so}.$$ABITAG.so; \
+          done; \
+	esac
+
 
 install: build
 	dh_testdir
@@ -68,7 +81,7 @@
 	dh_prep
 	dh_installdirs
 	cd Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
-	cd designer-Qt4 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
+	cd designer-Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	for p in $(PYTHONS) ; do \
                 $(MAKE) -f debian/rules install-python-$$p;\
         done
