## qscintilla2 2.7.2

=== debian/changelog ===
qscintilla2 (2.7.2-1build1) saucy; urgency=low

  * No change rebuild for sip4 update

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Oct 2013 14:31:59 -0400

qscintilla2 (2.7.2-1) unstable; urgency=low

  * New upstream release
    - Update debian/patches/configure.py-objdir-support.diff to account for
      the potential for both PyQt4 and PyQt5 (when packaged) builds
    - Update debian/patches/py_conf_inc_dir.diff for upstream updates to
      Python/configure.py
  * Update watch file, thanks to Bart Martens

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Jun 2013 02:46:07 -0400

qscintilla2 (2.7.1-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches
    - Update debian/patches/configure.py-objdir-support.diff for upstream
      Python/configure.py changes
    - Update debian/rules to work with new Qt4/Qt5 dirctory naming and removal
      of Qt3 support
    - Update debian/rules and add debian/patches/py_conf_inc_dir.diff to get
      new configure.py script to work with Python multia-arch header locations
  * Drop symbols file for now until it is reliable
  * Rename libqscintilla2-translations to libqscintilla2-l10n
    (Closes: #700641)
  * Revert bad watch file change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 May 2013 17:08:40 -0400
