=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: qscintilla2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 9), libqt4-dev (>= 4:4.8.0~), python-all-dev (>= 2.6.6-3~), python-sip-dev (>= 4.10), python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~), python3-all-dev (>= 3.1.3-13~), python3-sip-dev, python3-pyqt4
 Standards-Version: 3.9.4
 Section: libs
 X-Python3-Version: >= 3.1
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/qscintilla2/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/qscintilla2/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/qscintilla2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/qscintilla2/trunk/
 
 Package: libqscintilla2-9
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqscintilla2-translations (>= ${source:Upstream-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqscintilla2-l10n (>= ${source:Upstream-Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Qt4 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt4 with features especially useful when 
@@ -24,12 +23,12 @@
  of proportional fonts, bold and italics, multiple foreground and background
  colours and multiple fonts.
 
-Package: libqscintilla2-translations
+Package: libqscintilla2-l10n
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libqscintilla2-9
-Replaces: libqscintilla2-5, libqscintilla2-6, libqscintilla2-8
-Breaks: libqscintilla2-5, libqscintilla2-6, libqscintilla2-8
+Replaces: libqscintilla2-5, libqscintilla2-6, libqscintilla2-8, libqscintilla2-translations
+Breaks: libqscintilla2-5, libqscintilla2-6, libqscintilla2-8, libqscintilla2-translations
 Description: Scintilla source code editing widget for Qt4, translation files
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
