## qscintilla2 2.8.1

=== debian/changelog ===
qscintilla2 (2.8.1-2ubuntu1) trusty; urgency=medium

  * Patch designer-Qt4Qt5/designer.pro to explicitly link with the Qt4 version
    of the qscintilla2 library to fix runtime inability to find qscintilla2
    symbols (LP: #1314114)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2014 22:13:57 -0400

qscintilla2 (2.8.1-2) unstable; urgency=medium

  * Add debian/patches/remove-logo-privacy-issue.diff to remove use of
    http://www.scintilla.org/SciBreak.jpg when the SCintilla docs are
    accessed in order to resolve privacy-breach-logo lintian error
  * Add packaging for Qt5
    - Add new binaries: libqt5scintilla2--11, libqt5scintilla2-dev,
      libqt5scintilla2-l10n, and python3-pyqt5.qsci
    - Add qtbase5-dev, python3-pyqt5, and pyqt5-dev to build-depend
    - Add debian/patches/qt5_includes.patch to use correct Qt5 includes for
      the Python bindings
    - Add debian/patches/qt5_libname.patch to change the qscintilla2 library
      name when built with Qt5 so the Qt4 and Qt5 versions are co-installable
    - Update debian/rules to build both Qt4 and Qt5 versions
    - Update package descriptions to make it clear which is for Qt4 and which
      is for Qt5
  * Install prf file in libqscintilla2-dev
  * Correct symlink for jquery.js in libqscintilla2-doc
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Mar 2014 14:34:54 -0400

qscintilla2 (2.8.1-1) unstable; urgency=medium

  * New upstream release
    - Update library name to libqscintilla2-11 based on upstream soname change
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Mar 2014 19:02:44 -0400
