=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,26 @@
 	LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 endif
 
-PYTHONS := $(shell pyversions -vr debian/control) $(shell py3versions -vr)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+
+PYTHON3S := $(shell py3versions -vr debian/control) 
+PYTHONS := $(shell pyversions -vr debian/control) $(PYTHON3S)
+
+# Update this on SO name bumps so files get shoved around correctly
+SONAME=11
 
 configure-stamp:
 	dh_testdir
-	cd Qt4Qt5 && qmake-qt4 QMAKE_STRIP=""
-	cd designer-Qt4Qt5 && qmake-qt4 INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 QMAKE_STRIP=""
+	mkdir QSciQt4
+	mkdir QSciQt5
+	cp -r Qt4Qt5/* QSciQt5
+	mkdir designer-Qt4
+	cd Qt4Qt5 && qmake-qt4 QMAKE_STRIP="" DESTDIR=../QSciQt4
+	cd designer-Qt4Qt5 && qmake-qt4 INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../QSciQt4 QMAKE_STRIP="" DESTDIR=../designer-Qt4
+	cd QSciQt5  && qmake -qt=qt5-$(DEB_HOST_MULTIARCH) QMAKE_STRIP="" DESTDIR=../QSciQt5
 	touch $@
 
 configure: configure-stamp $(PYTHONS:%=Python/build-%/configure-stamp)
@@ -32,14 +46,25 @@
 	dh_testdir
 	mkdir -p Python/build-$*
 	cd Python/build-$* \
-		&& python$* ../configure.py -n ../../Qt4Qt5/ -o ../../Qt4Qt5 \
+		&& python$* ../configure.py -n ../../Qt4Qt5/ -o ../../QSciQt4 \
 		--sip-incdir=/usr/include/python$* -c \
 		--destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4
+	case "$*" in 3*) \
+		mkdir -p Python/buildqt5-$* ; \
+	esac
+	case "$*" in 3*) \
+		cd Python/buildqt5-$* \
+		  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$* ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
+		  --sip-incdir=/usr/include/python$* -c --pyqt=PyQt5 \
+		   --qmake=/usr/bin/qmake \
+		  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5; \
+	esac
 	touch $@
 
 build-library-stamp: configure
 	dh_testdir
 	cd Qt4Qt5 && $(MAKE)
+	cd QSciQt5 && $(MAKE)
 	cd designer-Qt4Qt5 && $(MAKE)
 	touch $@
 
@@ -60,13 +85,17 @@
 	-cd Qt4Qt5 && $(MAKE) distclean
 	-cd designer-Qt4Qt5 && $(MAKE) distclean
 
-	rm -fr $(PYTHONS:%=Python/build-%)
+	rm -rf Python/build*
+	rm -rf QSciQt4
+	rm -rf QSciQt5
+	rm -rf designer-Qt4
 	rm -f *-stamp
 
 	dh_clean 
 
 install-python-%: 
 	$(MAKE) -C Python/build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C Python/buildqt5-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
 	case "$*" in 3*) \
 	  ABITAG=`python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; \
           for f in `find debian/tmp/usr/lib/python3* -name '*.so' ! -name '*.cpython*.so'`; do \
@@ -81,6 +110,19 @@
 	dh_prep
 	dh_installdirs
 	cd Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
+	cd QSciQt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt5scintilla2-$(SONAME) install
+	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/qt5/Qsci
+	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib
+	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/share/qt5/mkspecs/features
+	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include/qt5/Qsci/*.h $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/qt5/Qsci/
+	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include
+	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/*.so $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib
+	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/mkspecs/features/* $(CURDIR)/debian/libqt5scintilla2-dev/usr/share/qt5/mkspecs/features
+	mkdir -p $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
+	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/translations/* $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
+	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
+	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/qsci/api/python/* $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt5/qsci/api/python
+	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5
 	cd designer-Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	for p in $(PYTHONS) ; do \
                 $(MAKE) -f debian/rules install-python-$$p;\
