=== debian/watch ===
version=3
opts=uversionmangle=s/(.*\db?)([\._\-]snapshot)/0.0.$1~$2/ \
http://www.riverbankcomputing.co.uk/software/qscintilla/download \
(?:.*/|.*=|)QScintilla-gpl[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Fri, 17 May 2013 04:03:41 +0000
